<?php

/**
 * @package MariaFramework
 * @description mf_portal
 * @author Jiju Thomas Mathew
 */

require_once(MF::get('extend')."smtpSend.php");
require_once(MF::get('extend')."mimeEmail.php");

class mailer
{
    public function registration($c){
        $template = file_get_contents(MF::get('views'). 'validation_email.html');
        $mail = array(
            'sendto' => $c['user_email'],
            'replyto' => 'postmaster@',
            'subject' => 'Registration request for url compression API @ ' . $_SERVER['HTTP_HOST'],
            'varsf' => array('%url%', '%user_email%', '%token%'),
            'varst' => array($c['url'], $c['user_email'], $c['token'])
        );
        
        $this->fireEmail($mail, $template);
    }

    public function regcomplete($c){
        $template = file_get_contents(MF::get('views'). 'regcomplete_email.html');
        $mail = array(
            'sendto' => $c['user_email'],
            'replyto' => 'postmaster@',
            'subject' => 'Registration request for url compression API completed ',
            'varsf' => array('%user_email%', '%user_pass%'),
            'varst' => array($c['user_email'], $c['user_pass'])
        );

        $this->fireEmail($mail, $template);
    }

    public function documents($c){
        $template = file_get_contents(MF::get('views'). 'api_documentaion_email.html');
        $mail = array(
            'sendto' => $c['user_email'],
            'replyto' => 'postmaster@',
            'subject' => 'bx3 compression API documentation ',
            'varsf' => array('%url%','%user_email%', '%user_pass%'),
            'varst' => array($c['url'],$c['user_email'], $c['user_pass'])
        );

        $this->fireEmail($mail, $template);
    }
    
    private function fireEmail($mail, $body){
        try{
            $headers = array(
                'From: "phpmf.org" <phpmf@saturn.in>',
                'Reply-To:  <'.$mail['replyto'].'>',
                'X-Generated-By: class.smtpSend.php'
                );

            $m = new mimeEmail();
            $body = str_replace($mail['varsf'],$mail['varst'], $body);
            $m->setBody($body,true);
            $MEmail = $m->getMailMime();
            $headers[] = $MEmail['headers'];
            $header = join("\r\n", $headers);
            $smtp = new smtpSend('servers@saturn.in');
            $smtp->send($mail['sendto'], $mail['subject'], $MEmail['mail'], $header);
        }catch(Exception $e){
        }
    }
} 
