CREATE TABLE `api_user` (
  `user_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `user_email` varchar(255) NOT NULL,
  `user_pass` varchar(15) NOT NULL,
  `user_active` enum('YES','NO') DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `user_email` (`user_email`)
) ENGINE=MyISAM;

CREATE TABLE `api_user_req` (
  `user_token` char(5) NOT NULL,
  `user_email` varchar(255) NOT NULL,
  `reg_req` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`user_token`)
) ENGINE=MyISAM;

CREATE TABLE `bx3_urls` (
  `token` char(4) NOT NULL,
  `url` varchar(255) NOT NULL,
  `hit` varchar(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`token`),
  UNIQUE KEY `url` (`url`)
) ENGINE=InnoDB;

