<?php

/**
 * main controller for the application
 * just point your 404 handler to this file
 */
include "MF.php";

/* source and execute the settings */
MF::addon('settings');

/* our routes; modify these at your risk */

/* with this combination the probabilities are 21267647932558653966460912964485513216 (4^62) */
MF::MFR('GET /([a-z0-9]{4})', 'site', 'route');

/* get compressed */
MF::MFR('POST /api/getbx', 'bx3api', 'getbx');

/* register a user request, post from form */
MF::MFR('POST /api/register', 'bx3api', 'regRequest');

/* show the captcha in the registration form */
MF::MFR('GET /secimg-(.*)','CaptchaSecurityImages', 'securityImage');

/* show the registration form; just an email, you need more change the form template and the db */
MF::MFR('GET /api/register', 'bx3api', 'regForm');

/* link sent in email.. when clicked will create the user, and password will be sent to email */
MF::MFR('GET /api/confirm/([a-z0-9]{5})', 'bx3api', 'regAuth');

/* this should call the method home from the class site */
MF::MFR('GET /', 'site', 'home');

MF::run('404');