<?php

/**
 * to avoid clutter, setting is written as an addon
 * and as the MF prodigy, this function defenition will be included
 * and executed in succession
 */

function settings() {

    /* Configure the database, change as per your needs */
    $dsn = "mysql://user:pass@localhost/bx3";

    /* if relative path define.. else blank */
    MF::set('urimask' ,'/bx3');

    /* set the site url */
    MF::set('site-url','http://' . $_SERVER['HTTP_HOST'] . MF::get('urimask') . '/');

    /* set path of our extensions */
    MF::set('extend', dirname(__FILE__) . "/classes/");

    /* set path of our views */
    MF::set('views', dirname(__FILE__) . "/views/");

    /* Connect to the database, library mysql.php is in extensions path */
    MF::object('mysql')->connect($dsn);

    /* store the dsn in to MF scope, for other plugins or the sort */
    MF::set('dsn', $dsn);
}

?>
