<?php

/**
 * The api initiator for bx3
 *
 * @author jijutm
 */
class bx3api {

    function __construct() {
    }

    public function getbx() {
         $this->checkAuth();

        /* check if we have the url in the store */
        $token = MF::object('mysql')->getValue(sprintf("SELECT token FROM bx3_urls WHERE url='%s'", $_POST['url']));
        if($token === false){
            while(($token = $this->getUrlToken($_POST['url'])) === false){
                usleep(2);
            }
        }
        echo MF::get('site-url') . $token;
    }

    public function regForm($vars = array()){
        $vars['captcha'] = MF::get('site-url') . 'secimg-10020' . dechex(time()) . '5';
        MF::display('api_reg_form', $vars);
    }

    public function regRequest(){
        if(MF::object('CaptchaSecurityImages')->verifyCode($_POST['vcode']) === false){
            $this->regForm(array('error' => 'Security code did not validate.. '));
            exit();
        }
        if(MF::object('mysql')->getValue(sprintf("SELECT count(*) FROM api_user WHERE user_email='%s'", $_POST['user_email'])) >= 1){
            MF::display('api_reg_email_exists', $_POST);
            return;
        }

        /* check if the user_email is there in the user_req table.. then send that token */
        $token = MF::object('mysql')->getValue(sprintf("SELECT user_token FROM api_user_req WHERE user_email='%s'",$_POST['user_email']));
        if($token === false){
            while(($token = $this->genToken($_POST['user_email'])) === false){
                usleep(2);
            }
        }

        /* send the validation email.. and tell the user */
        $mailVars = array(
            'url' => MF::get('site-url'). 'api/confirm',
            'user_email' => $_POST['user_email'],
            'token' => $token
        );

        MF::object('mailer')->registration($mailVars);
    }

    public function regAuth($a){
        $user_email = MF::object('mysql')->getValue(sprintf("SELECT user_email FROM api_user_req WHERE user_token='%s'", $a[1]));
        if($user_email !== false){
            MF::object('mysql')->query(sprintf("DELETE FROM api_user_req WHERE user_token='%s'", $a[1]));
            $user = array('user_email' => $user_email, 'user_pass' => $this->createToken(8), 'user_active' => 'YES');
            MF::object('mysql')->perform('api_user', $user);
            $user['url'] = MF::get('site-url') . 'api/getbx';
            MF::object('mailer')->regcomplete($user);
            MF::object('mailer')->documents($user);
        }else{
            MF::display('api_reg_approved');
        }
    }

    private function checkAuth() {
        if(isset($_POST['user_email']) && isset($_POST['user_pass'])){
            $user = MF::object('mysql')->getRow(sprintf("SELECT * FROM api_user WHERE user_email='%s'", $_POST['user_email']), 'array');
            if($user !== false && strcmp($_POST['user_pass'],$user['user_pass']) == 0){
                return;
            }
        }

        MF::redirect('http://' . $_SERVER['HTTP_HOST']);
    }

    private function createToken($s = 4){
        $a = array_merge(range("a", "z") , range( 0, 9), range("A","Z") );
        shuffle($a);
        return substr(join('',$a), 0, $s);
    }

    private function genToken($user_email){
        $token = $this->createToken(5);
        $test = MF::object('mysql')->getValue("SELECT count(*) FROM api_user_req WHERE user_token='$token'");
        if(0 == $test){
            MF::object('mysql')->perform("api_user_req",
                        array(
                            'user_token' => $token,
                            'user_email' => $user_email,
                            'reg_req' => 'now()'
                    ));
            return $token;
        }else{
            return false;
        }
    }

    private function getUrlToken($url){
        $token = $this->createToken(4);
        $test = MF::object('mysql')->getValue("SELECT count(*) FROM bx3_urls WHERE token='$token'");
        if(0 == $test){
            MF::object('mysql')->perform('bx3_urls',
                        array(
                            'token' => $token,
                            'url' => $url
                    ));
            return $token;
        }else{
            return false;
        }
    }
}
?>
